require 'amrita2/template'
include Amrita2

t = TemplateText.new("<body><dl id='l'><dt id='t'/><dd id='d'/></dl></body>")
t.element_option[:d] = { :output_stream=>:t }

data = [
  [ 'amrita', 'a template library' ],
  [ 'Amrita2', 'a better template library' ],
]

t.expand(STDOUT) do |m|
  m.l do |ml|
    data.each do |t,d|
      ml.t(t)
      ml.d(d)
    end
  end
end

puts

__END__
<body><dl><dt>amrita</dt><dd>a template library</dd><dt>Amrita2</dt><dd>a better template library</dd></dl></body>
