require "amrita2/template"
include Amrita2

tmpl = TemplateText.new <<END
<html>
   <body>
     <h1><a id='a1'>replacing attributes</a></h1>
     <a id='a2' amrita:type='link'>Amrita2</a>
     <p>See <a id='a3' amrita:type='use_original_element' 
       href='http://www.ruby-lang.org/'>Ruby homepage</a> for detail
     </p>
     <a id='rubytalk' amrita:type='use_args' 
       href="http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-talk/$1">
       [ruby-talk:$1]
     </a>
     <a id='raa'  amrita:type='use_args' 
       href="http://raa.ruby-lang.org/list.rhtml?name=$1">
       [$2]
     </a>
   </body>
</html>
END

data = { 
  :a1 => a(:href=>'http://amrita2.rubyforge.org/') { 'replaced' },
  :a2 => 'http://amrita2.rubyforge.org/',

  # use_original_element: REXML::Element object for the spec
  # will be passed. Edit it and return it or make a new
  # Element object and return it.
  :a3 => proc do |e|
    e.text += "(Japanese)"
    e.attributes['href'] += 'ja/'
    e
  end,

  # use_args: the value passed will be replaced $1, $2.....
  :rubytalk=>132204,

  :raa =>['amrita', 'amrita: HTML template library']
}

#tmpl.debug_source=STDOUT
tmpl.expand(STDOUT, data)
