require "amrita2/template"
include Amrita2

class PO
  def array_data
    [1, 2, 3]
  end

  def nested_struct
    Time.gm(2005,2,23, 4,5,6)
  end

  def nested_structs
    [Time.gm(2005,2,23, 4,5,6),Time.gm(2005,2,24, 4,5,6) ]
  end

  def attribute_replace
    a(:href=>'http://amrita2.rubyforge.org/')
  end
end

tmpl = TemplateText.new <<-END
<html>
   <body>
      <h1>array data</h1>
      <span id='array_data'> </span>
      <h1>nested struct</h1>
      <p id='nested_struct'>
         <span id='hour' />:<span id='min' />:<span id='sec' />
      </p>
      <h1>array of nested struct</h1>
      <p id='nested_structs'>
         <span id='day' />
      </p>
      <a id='attribute_replace'>Amrita2</a>
   </body>
</html>
END

tmpl.expand(STDOUT, PO.new)
__END__
<html>
   <body>
      <h1>array data</h1>
      123
      <h1>nested struct</h1>
      <p>
         4:5:6
      </p>
      <h1>array of nested struct</h1>
      <p>
         23
      </p><p>
         24
      </p>
      <a href='http://amrita2.rubyforge.org/'>Amrita2</a>
   </body>
</html>
