class HelloController < ApplicationController
  include Amrita2
  attr_reader :language_list, :title, :body, :contents
  def index
    @title = 'Hello ROR with Amrita2'
    @body = 'Using Amrita2 with ROR is easy and fun!'
    @contents = [
      t('index', 'hello world'),
      t('languages', 'languages: making table with Amrita2, form with Erb')
    ]
  end

  def languages
    @language_list = Language.find_all
    @language_list.each do |l|
      l.extend Amrita2
      def l.name_with_link
        { :link => a(:href=>url) { name } }
      end
    end
  end

  def insert
    #STDOUT.puts @params.inspect
    l = @params['language']
    l['birthday'] = params_to_date(l, 'birthday')
    Language.add(l)
    redirect_to :controller => "hello", :action => "languages"
  end

private
  # original from http://moriq.tdiary.net/20041107.html
  def params_to_date(param, name)
    STDOUT.puts param.inspect
    Date.new(*(1..3).map{ |i| param["#{name}(#{ i}i)"].to_i })
  rescue
    nil
  end

end
